//
// Created by max on 28-1-24.
//

#include <ncurses.h>

#include "server.h"

// INFO
// https://tldp.org/HOWTO/NCURSES-Programming-HOWTO/
//

WINDOW *info_win, *log_win;

int setup_windows(void)
{
    int ymax,xmax;
    getmaxyx(stdscr, ymax, xmax);
    info_win = newwin(15, xmax-1, 1, 1);
    /*int half_scr = xmax * 100 / 50; = add 50 percent of num -> 100 + 50% = 150
    half_scr = xmax * 50 / 100; = get 50 percent of num -> 100 - 50% = 50
    */
    log_win = newwin(ymax-16, xmax * 50 / 100, 16, 1);
    refresh();
    box(info_win, 0, 0);
    box(log_win, 0, 0);
    mvwprintw(info_win, 0, 1, " Info window ");
    mvwprintw(log_win, 0, 1, " Log window ");
    for (int i = 0; i != 15; i++)
    {
        mvwprintw(log_win, i + 1, 1, "Test!");
    }
    wrefresh(info_win);
    wrefresh(log_win);
    return 0;
}
void calculate_wind_sizes(void)
{
    //TODO: calculate the size of the windows on the screen, called when first start and on screen resize.
}