#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include "netex.h"
#include "sockets.h"
#include "communication.h"

int client_sockfd;
struct sockaddr_in client_sockaddr;

void print_help();

int clientstart()
{
    client_sockfd = socket(AF_INET, SOCK_STREAM, 0);

    client_sockaddr.sin_family = AF_INET;
    client_sockaddr.sin_port = htons(PORT_NUM);
    client_sockaddr.sin_addr.s_addr = INADDR_ANY;

    int connection_status = connect(client_sockfd, (struct sockaddr*) &client_sockaddr, sizeof(client_sockaddr));
    if (connection_status != 0)
    {
        ERROR("Could not connect!");
        return -1;
    }
    /*
    ssize_t nextRecSize = 0;
    ssize_t recvRead = readFromSock(client_sockfd, &nextRecSize, sizeof(uint32_t));
    if (recvRead == -1)
    {
        TRACE_ERROR("Failed to receive data! Errno: %i", errno);
        return -1;
    }

    nextRecSize = ntohl(nextRecSize);
    char serverName[64];
    recvRead = readFromSock(client_sockfd, &serverName, nextRecSize);
    if (recvRead == -1)
        return -1;
    if (recvRead == 0)
    {
        PRINT_LINE("No data received!");
    }
    serverName[nextRecSize] = '\0'; // Add a null byte to the end of the buffer or else we get some random output at the end of the string.
    PRINT_LINE("Connected with: %s", serverName);
    */


    // Handle user input
    for (;;)
    {
        char c = getchar();
        switch (c)
        {
            case 'q':
                return 0;
            case 'h':
                print_help();
                break;
        }
    }
}
void print_help()
{
    PRINT_LINE("Info:");
    PRINT_LINE("\n");
    PRINT_LINE("h - Help menu");
    PRINT_LINE("q - Quit");
}
